> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Multiple Users

> Sends email invitations to join your workspace to the provided emails. Requires all email addresses to be part of a verified domain. If the users don't have an account they will be prompted to create one. If the users accept these invites they will be added as users to your workspace and your subscription using one of your seats. This endpoint may only be called by workspace members with the WORKSPACE_MEMBERS_INVITE permission.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/workspace/invites/add-bulk
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspace/invites/add-bulk:
    post:
      tags:
        - workspace
      summary: Invite Multiple Users
      description: >-
        Sends email invitations to join your workspace to the provided emails.
        Requires all email addresses to be part of a verified domain. If the
        users don't have an account they will be prompted to create one. If the
        users accept these invites they will be added as users to your workspace
        and your subscription using one of your seats. This endpoint may only be
        called by workspace members with the WORKSPACE_MEMBERS_INVITE
        permission.
      operationId: invite_users_bulk
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InviteWorkspaceUsersBulkRequestModel'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddWorkspaceInviteResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InviteWorkspaceUsersBulkRequestModel:
      properties:
        emails:
          items:
            type: string
          type: array
          minItems: 1
          title: Emails
          description: Email addresses to invite.
        seat_type:
          anyOf:
            - $ref: '#/components/schemas/SeatType'
            - type: 'null'
          description: The product seat assigned when each invitation is accepted.
        group_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Group Ids
          description: Workspace groups to apply after each invitation is accepted.
        usage_limit:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Usage Limit
          description: >-
            Optional per-member usage limit to apply after each invitation is
            accepted.
      additionalProperties: false
      type: object
      required:
        - emails
      title: InviteWorkspaceUsersBulkRequestModel
    AddWorkspaceInviteResponseModel:
      properties:
        status:
          type: string
          title: Status
          description: >-
            The status of the workspace invite request. If the request was
            successful, the status will be 'ok'. Otherwise an error message with
            status 500 will be returned.
      type: object
      required:
        - status
      title: AddWorkspaceInviteResponseModel
      example:
        status: ok
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SeatType:
      type: string
      enum:
        - workspace_admin
        - workspace_member
        - workspace_lite_member
      title: SeatType
      description: Seat types for workspace members.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````